Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3181 - nmh doesn't have /etc/smrsh link
Summary: nmh doesn't have /etc/smrsh link
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: nmh
Version: 6.0
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
Assignee: Jay Turner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-31 18:09 UTC by omega
Modified: 2015-01-07 23:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-06-01 19:56:46 UTC


Attachments (Terms of Use)

Description omega 1999-05-31 18:09:27 UTC
I recently upgraded my server from 4.2 to 6.0, and since
then have been unable to get mail.  It turns out that slocal
(which I use to filter my mail) wasn't allowed to be run
from sendmail.  Finally figured out that a link to
/usr/lib/nmh/slocal is necessary in /etc/smrsh in order to
allow it to function.

IMHO this link should be standard, since slocal is a
*standard* mail handling program.  Since smrsh functionality
is a new thing since 4.2, it seems to me that existing
functionality (standard functionality at that) shouldn't be
broken.

%postinstall
ln -sf /usr/lib/nmh/slocal /etc/smrsh/slocal

%postuninstall
rm -f /etc/smrsh/slocal

Comment 1 Jeff Johnson 1999-06-01 19:56:59 UTC
Fixed (by createing /etc/smrsh/slocal symlink) in nmh-1.0-2.


Note You need to log in before you can comment on or make changes to this bug.